Description

This is a guide for installing phppgadmin on Debian 8 with nginx.

Prepare the Environment

o Make sure the system is up to date:

apt—-get update && apt-get upgrade -y

Install phppgadmin

¢ [nstall phppgadmin
apt-get install php5-fpm php5-pgsgl phppgadmin
e Disable apache2

update-rc.d —-f apache2 remove
service apache2 stop

e |nstall nginx
apt-get install nginx
® The installation will now complete. Now create a file to enable phppgadmin:

nano /etc/nginx/sites-enabled/phppgadmin

o And add the following:

server {
listen 8080;
server_name localhost;

location / {
root /usr/share/phppgadmin;
index index.html index.htm index.php;

}

location ~ \.php$ {
root /usr/share/phppgadmin;
fastcgi_pass unix:/var/run/php5-fpm.sock;
fastcgi_index
fastcgi_param
include

e Edit the phppgadmin config file:

index.php;

SCRIPT_FILENAME /usr/share/phppgadmin/$fastcgi_script_name;

fastcgi_params;

nano /usr/share/phppgadmin/conf/config.inc.php

o And change the extra_login_security to false

Sconf['extra_login_security'] = false;

* Now phppgadmin is accessible on the localhost from port 8080
o NOTE: Make sure to have a password set for the postgres user

Resources

o https://wiki.debian.org/PhpPgAdmin

History

#1 - 04/28/2015 03:36 PM - Daniel Curtis

- Description updated

#2 - 04/28/2015 04:32 PM - Daniel Curtis
- Description updated

- Status changed from New to In Progress
- % Done changed from 0 to 50

- Estimated time set to 1.00 h

#3 - 04/28/2015 04:35 PM - Daniel Curtis

- Description updated

#4 - 04/30/2015 01:52 PM - Daniel Curtis

- Description updated

#5 - 05/02/2015 07:45 PM - Daniel Curtis

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#6 - 05/10/2015 09:20 AM - Daniel Curtis

- Status changed from Resolved to Closed
